package zero1hd.rhythmbullet.game;

import java.util.HashMap;

import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityFrame;
import zero1hd.rhythmbullet.entity.coordinator.Coordinator;
import zero1hd.rhythmbullet.entity.coordinator.CoordinatorFrame;

public class EntitySpawnInfo {
	private EntityFrame<? extends Entity> entityToSpawn;
	private CoordinatorFrame<? extends Coordinator> entityCoordinator;
	public HashMap<String, Float> parameters;
	
	
	public EntitySpawnInfo(EntityFrame<? extends Entity> entityToSpawn, CoordinatorFrame<? extends Coordinator> coordinator) {
		this.entityToSpawn = entityToSpawn;
		parameters = new HashMap<>();
	}
	
	public EntityFrame<? extends Entity> getEntityToSpawn() {
		return entityToSpawn;
	}
	
	public CoordinatorFrame<? extends Coordinator> getEntityCoordinator() {
		return entityCoordinator;
	}
}
